<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HashDatabase..::.Cursor Method (Transaction)
HashDatabase Class See Also Send Feedback

Create a transactionally protected database cursor.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public HashCursor Cursor(
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Function Cursor ( _
    	txn As Transaction _
    ) As HashCursor

Visual C++

    public:
    HashCursor^ Cursor(
    	Transaction^ txn
    )

#### Parameters

txn
  Type: BerkeleyDB..::.Transaction
  The transaction context in which the cursor may be used.

#### Return Value

A newly created cursor

# See Also

HashDatabase Class
Cursor Overload
BerkeleyDB Namespace